function [cw,sym] = PDSCHDecode_wrapper_SH(enb, rxgrid, hEst, nEst)
%PDSCHDecode_wrapper Featured example helper function

%   Copyright 2017 The MathWorks, Inc, adapted by SH for use with BBModel.m

    enb.PDSCH.Modulation = cellstr(enb.PDSCH.Modulation)';

    % Get PDSCH indices
     pdschIndices = ltePDSCHIndices(enb, enb.PDSCH, enb.PDSCH.PRBSet);

    % Get PDSCH resource elements from the received subframe. Scale the
    % received subframe by the PDSCH power factor Rho.
    [pdschRx, pdschHest] = lteExtractResources(pdschIndices, rxgrid*(10^(-enb.PDSCH.Rho/20)), hEst);

    [cwHold,symHold] = ltePDSCHDecode(enb, enb.PDSCH, pdschRx, pdschHest, nEst);
    
    cw=cell2mat(cwHold);
    sym=cell2mat(symHold);
end

